---
- name: Setup infrastructure and build docker image
  hosts: 127.0.0.1
  connection: local
  tasks:
    - name: Run Terraform
      community.general.terraform:
        project_path: '../terraform/'
        state: present
        variables:
          do_token: '{{ digitalocean_oauth_token }}'
          pvt_key: '{{ pvt_key_path }}'
      register: terraform_result

    - name: Create inventory.ini with new droplets info
      ansible.builtin.template:
        src: ./templates/inventory.j2
        dest: ./inventory.ini

    - name: Create ssh_config
      ansible.builtin.template:
        src: ./templates/ssh_config.j2
        dest: ./ssh_config
